XSS vulnerability in login.action

2011-04-28T04:55:59
ID ATLASSIAN:CONFSERVER-22402
Type atlassian
Reporter pwatson
Modified 2017-02-17T05:21:53

Description

We have identified and fixed a cross-site scripting (XSS) vulnerability in the Confluence login action.

XSS vulnerabilities potentially allow an attacker to embed their own JavaScript into a Confluence page. You can read more about XSS attacks at various places on the web, including these:

* cgisecurity.com: http://www.cgisecurity.com/articles/xss-faq.shtml
* The Web Application Security Consortium: http://projects.webappsec.org/Cross-Site+Scripting

This issue is reported in our security advisory on this page: https://confluence.atlassian.com/x/aAI5Dg